Models
List the available models and target them via the model slug.
You select the AI model via the model field of each request. You pass a Kasimir slug (not the provider’s model name). Which models are available to your key depends on your organization's settings — GET /v1/models is always authoritative.
Available models
Slug | Model | Type | Context | Vision | Processing |
|---|---|---|---|---|---|
| Gemma 4 (31B) | Chat | 262k | yes | EU · self-hosted (default) |
| GPT-5.6 Luna | Chat | 922k | yes | EU · Azure AI Foundry |
| GPT-5.6 Terra | Chat | 922k | yes | EU · Azure AI Foundry |
| GPT-5.6 Sol | Chat | 922k | yes | EU · Azure AI Foundry |
| GPT-5.4 | Chat | 272k | yes | EU · Azure AI Foundry |
| Claude Sonnet 4.6 | Chat | 1M | yes | EU · Anthropic (EU processing) |
| Mistral Large 3 | Chat | 256k | – | EU · Mistral |
| Grok 4.3 | Chat | 256k | yes | EU · Azure AI Foundry |
| DeepSeek V4 Pro | Chat | 131k | – | EU · Azure AI Foundry |
| Jina Embeddings v3 (1024d) | Embeddings (1024 dim.) | 8k | – | EU · self-hosted |
This is the current default catalogue. Your organization may disable models or enable additional (incl. non-EU) models. The Basic plan only includes the self-hosted models gemma-4-31b and jina-embeddings-v3. GET /v1/models always returns the list valid for your key.
Selecting a model
Set the slug in the request's model field:
from openai import OpenAI
client = OpenAI(base_url="https://kasimir.ai/api/v1", api_key="kasi_…")
client.chat.completions.create(model="grok-4.3", messages=[{"role": "user", "content": "Hello"}])Only vision models (e.g. grok-4.3, gemma-4-31b) process images. For embeddings use jina-embeddings-v3 on the /v1/embeddings endpoint.
Listing models
GET /v1/models returns the models enabled for your key in OpenAI format:
curl https://kasimir.ai/api/v1/models -H "Authorization: Bearer kasi_…"{ "object": "list", "data": [ { "id": "mistral-large-3", "object": "model", "owned_by": "kasimir" } ] }Governance
The model must be active for your company and of the right type (
chat/embedding).Models disabled at the workspace level are not callable →
403.Non-EU models are only available if your company has enabled them → otherwise
403.On the Basic plan only the self-hosted models are callable; all others are missing from
GET /v1/modelsand return403.The response always returns the Kasimir slug in the
modelfield.